hwloc_obj_attr_u::hwloc_bridge_attr_s(3)

NAME
hwloc_obj_attr_u::hwloc_bridge_attr_s

SYNOPSIS

#include <hwloc.h>

  Data Fields
union {
struct hwloc_pcidev_attr_s pci
} upstream
hwloc_obj_bridge_type_t upstream_type
union {
struct {
unsigned short domain
unsigned char secondary_bus
unsigned char subordinate_bus
} pci
} downstream
hwloc_obj_bridge_type_t downstream_type
unsigned depth

Detailed Description

Bridge specific Object Attributes.

Field Documentation

  unsigned hwloc_obj_attr_u::hwloc_bridge_attr_s::depth

  unsigned short hwloc_obj_attr_u::hwloc_bridge_attr_s::domain

  union { ... } hwloc_obj_attr_u::hwloc_bridge_attr_s::downstream

  hwloc_obj_bridge_type_t hwloc_obj_attr_u::hwloc_bridge_attr_s::downstream_type

  struct hwloc_pcidev_attr_s hwloc_obj_attr_u::hwloc_bridge_attr_s::pci

  struct { ... } hwloc_obj_attr_u::hwloc_bridge_attr_s::pci

  unsigned char hwloc_obj_attr_u::hwloc_bridge_attr_s::secondary_bus

  unsigned char hwloc_obj_attr_u::hwloc_bridge_attr_s::subordinate_bus

  union { ... } hwloc_obj_attr_u::hwloc_bridge_attr_s::upstream

  hwloc_obj_bridge_type_t hwloc_obj_attr_u::hwloc_bridge_attr_s::upstream_type

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.